gnutls_pkcs12_get_bag(3)

NAME
gnutls_pkcs12_get_bag - This function returns a Bag from a PKCS12 structure

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_get_bag(gnutls_pkcs12_t pkcs12, int indx, gnutls_pkcs12_bag_t bag);

ARGUMENTS

gnutls_pkcs12_t pkcs12
    should contain a gnutls_pkcs12_t structure

int indx
    contains the index of the bag to extract

gnutls_pkcs12_bag_t bag
    An initialized bag, where the contents of the bag will be copied

DESCRIPTION
This function will return a Bag from the PKCS12 structure. Returns 0 on success. After the last Bag has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.